> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a sample job

> Run a connector sample job and return the results. Classic datasource configurations only.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json get /connectors/datasources/{id}/sample
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/datasources/{id}/sample:
    get:
      tags:
        - Datasource Configuration API
      summary: Run a sample job
      description: >-
        Run a connector sample job and return the results. Classic datasource
        configurations only.
      operationId: datasourceDocsSample
      parameters:
        - name: id
          description: The datasource configuration ID.
          in: path
          required: true
          schema:
            type: string
          example: my-sample-datasource
        - name: limit
          description: The maximum number of results to return.
          in: query
          required: false
          schema:
            type: integer
            format: int32
          example: 3
        - name: waitSec
          description: A specific amount of time to run the sample, in seconds.
          in: query
          required: false
          schema:
            type: integer
            format: int32
          example: 60
        - name: refresh
          description: Indicates if the sampling cache should be cleared.
          in: query
          required: false
          schema:
            type: boolean
          example: false
        - name: maxFieldLength
          description: The maximum length of fields returned in the response.
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 1024
          example: 600
        - name: excludeBinaryFields
          description: >-
            Indicates if fields with a byte array as value should be excluded or
            not.
          in: query
          required: false
          schema:
            type: boolean
          example: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                - id: '1'
                  fields:
                    - name: _lw_parser_id_s
                      value: 2f25d68b-7810-4154-ab9f-526a8c3b3e12
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Monster
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: base.Speed
                      value: 45
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Attack
                      value: 65
                      metadata: {}
                      annotations: []
                    - name: _lw_file_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: description
                      value: >-
                        Bulbasaur can be seen napping in bright sunlight. There
                        is a seed on its back. By soaking up the sun’s rays, the
                        seed grows progressively larger.
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_record_number_l
                      value: 0
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Poison
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_collection_s
                      value: api-test-collection_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_size_l
                      value:
                        - java.lang.Long
                        - 153629
                      metadata: {}
                      annotations: []
                    - name: name.japanese
                      value: フシギダネ
                      metadata: {}
                      annotations: []
                    - name: image.sprite
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/sprites/001.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_modified_tdt
                      value:
                        - java.util.Date
                        - 1722622741908
                      metadata: {}
                      annotations: []
                    - name: profile.weight
                      value: 6.9 kg
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_type_s
                      value: lucid.fileupload/fileupload
                      metadata: {}
                      annotations: []
                    - name: evolution.next
                      value: '2'
                      metadata: {}
                      annotations: []
                    - name: evolution.next
                      value: Level 16
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_container_resource_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: image.thumbnail
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/thumbnails/001.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_md5_s
                      value: 55ffc60b4378175710a7112b1f83c747
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_s
                      value: pokedex_json_zip-api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_time_l
                      value:
                        - java.lang.Long
                        - 1
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_type_s
                      value: json
                      metadata: {}
                      annotations: []
                    - name: profile.gender
                      value: 87.5:12.5
                      metadata: {}
                      annotations: []
                    - name: _lw_metadata_resourceType
                      value: file
                      metadata: {}
                      annotations: []
                    - name: name.french
                      value: Bulbizarre
                      metadata: {}
                      annotations: []
                    - name: base.Defense
                      value: 49
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_depth_i
                      value: 3
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_last_modified_dt
                      value: '2024-08-02T18:17:48.000Z'
                      metadata: {}
                      annotations: []
                    - name: name.english
                      value: Bulbasaur
                      metadata: {}
                      annotations: []
                    - name: base.HP
                      value: 45
                      metadata: {}
                      annotations: []
                    - name: _lw_batch_id_s
                      value: 9YYK4UUibO
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Overgrow
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'false'
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Chlorophyll
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'true'
                      metadata: {}
                      annotations: []
                    - name: base.Attack
                      value: 49
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_absolute_resource_name_s
                      value: pokedex.json.zip#pokedex.json#0
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Defense
                      value: 65
                      metadata: {}
                      annotations: []
                    - name: image.hires
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/hires/001.png
                      metadata: {}
                      annotations: []
                    - name: species
                      value: Seed Pokémon
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_pipeline_s
                      value: api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_resource_name_s
                      value: pokedex.json
                      metadata: {}
                      annotations: []
                    - name: name.chinese
                      value: 妙蛙种子
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_diagnostic_id_s
                      value: d449d609-2c0b-47f2-8596-a63443e7647f
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: profile.height
                      value: 0.7 m
                      metadata: {}
                      annotations: []
                  metadata: null
                  commands: null
                  hints:
                    _lw_parser_absolute_resource_name_s:
                      - name_finalized
                    _lw_parser_id_s:
                      - name_finalized
                    _lw_parser_parsing_time_l:
                      - type_long
                    _lw_parser_type_s:
                      - name_finalized
                    _lw_parser_resource_name_s:
                      - name_finalized
                    _lw_parser_parsing_depth_i:
                      - name_finalized
                    _lw_parser_record_number_l:
                      - name_finalized
                    _lw_parser_diagnostic_id_s:
                      - name_finalized
                    _lw_parser_last_modified_dt:
                      - name_finalized
                    _lw_parser_content_type_s:
                      - name_finalized
                    _lw_parser_container_resource_name_s:
                      - name_finalized
                - id: '2'
                  fields:
                    - name: _lw_parser_id_s
                      value: 2f25d68b-7810-4154-ab9f-526a8c3b3e12
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Monster
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: base.Speed
                      value: 60
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Attack
                      value: 80
                      metadata: {}
                      annotations: []
                    - name: _lw_file_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: description
                      value: >-
                        There is a bud on this Pokémon’s back. To support its
                        weight, Ivysaur’s legs and trunk grow thick and strong.
                        If it starts spending more time lying in the sunlight,
                        it’s a sign that the bud will bloom into a large flower
                        soon.
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_record_number_l
                      value: 1
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Poison
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_collection_s
                      value: api-test-collection_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_size_l
                      value:
                        - java.lang.Long
                        - 153629
                      metadata: {}
                      annotations: []
                    - name: name.japanese
                      value: フシギソウ
                      metadata: {}
                      annotations: []
                    - name: image.sprite
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/sprites/002.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_modified_tdt
                      value:
                        - java.util.Date
                        - 1722622741908
                      metadata: {}
                      annotations: []
                    - name: profile.weight
                      value: 13 kg
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_type_s
                      value: lucid.fileupload/fileupload
                      metadata: {}
                      annotations: []
                    - name: evolution.next
                      value: '3'
                      metadata: {}
                      annotations: []
                    - name: evolution.next
                      value: Level 32
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_container_resource_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: evolution.prev
                      value: '1'
                      metadata: {}
                      annotations: []
                    - name: evolution.prev
                      value: Level 16
                      metadata: {}
                      annotations: []
                    - name: image.thumbnail
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/thumbnails/002.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_md5_s
                      value: 55ffc60b4378175710a7112b1f83c747
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_s
                      value: pokedex_json_zip-api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_time_l
                      value:
                        - java.lang.Long
                        - 0
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_type_s
                      value: json
                      metadata: {}
                      annotations: []
                    - name: profile.gender
                      value: 87.5:12.5
                      metadata: {}
                      annotations: []
                    - name: _lw_metadata_resourceType
                      value: file
                      metadata: {}
                      annotations: []
                    - name: name.french
                      value: Herbizarre
                      metadata: {}
                      annotations: []
                    - name: base.Defense
                      value: 63
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_depth_i
                      value: 3
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_last_modified_dt
                      value: '2024-08-02T18:17:48.000Z'
                      metadata: {}
                      annotations: []
                    - name: name.english
                      value: Ivysaur
                      metadata: {}
                      annotations: []
                    - name: base.HP
                      value: 60
                      metadata: {}
                      annotations: []
                    - name: _lw_batch_id_s
                      value: 9YYK4UUibO
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Overgrow
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'false'
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Chlorophyll
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'true'
                      metadata: {}
                      annotations: []
                    - name: base.Attack
                      value: 62
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_absolute_resource_name_s
                      value: pokedex.json.zip#pokedex.json#1
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Defense
                      value: 80
                      metadata: {}
                      annotations: []
                    - name: image.hires
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/hires/002.png
                      metadata: {}
                      annotations: []
                    - name: species
                      value: Seed Pokémon
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_pipeline_s
                      value: api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_resource_name_s
                      value: pokedex.json
                      metadata: {}
                      annotations: []
                    - name: name.chinese
                      value: 妙蛙草
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_diagnostic_id_s
                      value: d449d609-2c0b-47f2-8596-a63443e7647f
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: profile.height
                      value: 1 m
                      metadata: {}
                      annotations: []
                  metadata: null
                  commands: null
                  hints:
                    _lw_parser_absolute_resource_name_s:
                      - name_finalized
                    _lw_parser_id_s:
                      - name_finalized
                    _lw_parser_parsing_time_l:
                      - type_long
                    _lw_parser_type_s:
                      - name_finalized
                    _lw_parser_resource_name_s:
                      - name_finalized
                    _lw_parser_parsing_depth_i:
                      - name_finalized
                    _lw_parser_record_number_l:
                      - name_finalized
                    _lw_parser_diagnostic_id_s:
                      - name_finalized
                    _lw_parser_last_modified_dt:
                      - name_finalized
                    _lw_parser_content_type_s:
                      - name_finalized
                    _lw_parser_container_resource_name_s:
                      - name_finalized
                - id: '3'
                  fields:
                    - name: _lw_parser_id_s
                      value: 2f25d68b-7810-4154-ab9f-526a8c3b3e12
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Monster
                      metadata: {}
                      annotations: []
                    - name: profile.egg
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: base.Speed
                      value: 80
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Attack
                      value: 100
                      metadata: {}
                      annotations: []
                    - name: _lw_file_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: description
                      value: >-
                        There is a large flower on Venusaur’s back. The flower
                        is said to take on vivid colors if it gets plenty of
                        nutrition and sunlight. The flower’s aroma soothes the
                        emotions of people.
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_record_number_l
                      value: 2
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Grass
                      metadata: {}
                      annotations: []
                    - name: type
                      value: Poison
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_collection_s
                      value: api-test-collection_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_size_l
                      value:
                        - java.lang.Long
                        - 153629
                      metadata: {}
                      annotations: []
                    - name: name.japanese
                      value: フシギバナ
                      metadata: {}
                      annotations: []
                    - name: image.sprite
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/sprites/003.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_modified_tdt
                      value:
                        - java.util.Date
                        - 1722622741908
                      metadata: {}
                      annotations: []
                    - name: profile.weight
                      value: 100 kg
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_type_s
                      value: lucid.fileupload/fileupload
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_container_resource_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: evolution.prev
                      value: '2'
                      metadata: {}
                      annotations: []
                    - name: evolution.prev
                      value: Level 32
                      metadata: {}
                      annotations: []
                    - name: image.thumbnail
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/thumbnails/003.png
                      metadata: {}
                      annotations: []
                    - name: _lw_file_md5_s
                      value: 55ffc60b4378175710a7112b1f83c747
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_s
                      value: pokedex_json_zip-api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_time_l
                      value:
                        - java.lang.Long
                        - 0
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_type_s
                      value: json
                      metadata: {}
                      annotations: []
                    - name: profile.gender
                      value: 87.5:12.5
                      metadata: {}
                      annotations: []
                    - name: _lw_metadata_resourceType
                      value: file
                      metadata: {}
                      annotations: []
                    - name: name.french
                      value: Florizarre
                      metadata: {}
                      annotations: []
                    - name: base.Defense
                      value: 83
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_parsing_depth_i
                      value: 3
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_last_modified_dt
                      value: '2024-08-02T18:17:48.000Z'
                      metadata: {}
                      annotations: []
                    - name: name.english
                      value: Venusaur
                      metadata: {}
                      annotations: []
                    - name: base.HP
                      value: 80
                      metadata: {}
                      annotations: []
                    - name: _lw_batch_id_s
                      value: 9YYK4UUibO
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Overgrow
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'false'
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: Chlorophyll
                      metadata: {}
                      annotations: []
                    - name: profile.ability
                      value: 'true'
                      metadata: {}
                      annotations: []
                    - name: base.Attack
                      value: 82
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_absolute_resource_name_s
                      value: pokedex.json.zip#pokedex.json#2
                      metadata: {}
                      annotations: []
                    - name: base.Sp. Defense
                      value: 100
                      metadata: {}
                      annotations: []
                    - name: image.hires
                      value: >-
                        https://raw.githubusercontent.com/Purukitto/pokemon-data.json/master/images/pokedex/hires/003.png
                      metadata: {}
                      annotations: []
                    - name: species
                      value: Seed Pokémon
                      metadata: {}
                      annotations: []
                    - name: _lw_data_source_pipeline_s
                      value: api-test-app_samplelw_tmp
                      metadata: {}
                      annotations: []
                    - name: _lw_file_name_s
                      value: pokedex.json.zip
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_resource_name_s
                      value: pokedex.json
                      metadata: {}
                      annotations: []
                    - name: name.chinese
                      value: 妙蛙花
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_diagnostic_id_s
                      value: d449d609-2c0b-47f2-8596-a63443e7647f
                      metadata: {}
                      annotations: []
                    - name: _lw_parser_content_type_s
                      value: application/json
                      metadata: {}
                      annotations: []
                    - name: profile.height
                      value: 2 m
                      metadata: {}
                      annotations: []
                  metadata: null
                  commands: null
                  hints:
                    _lw_parser_absolute_resource_name_s:
                      - name_finalized
                    _lw_parser_id_s:
                      - name_finalized
                    _lw_parser_parsing_time_l:
                      - type_long
                    _lw_parser_type_s:
                      - name_finalized
                    _lw_parser_resource_name_s:
                      - name_finalized
                    _lw_parser_parsing_depth_i:
                      - name_finalized
                    _lw_parser_record_number_l:
                      - name_finalized
                    _lw_parser_diagnostic_id_s:
                      - name_finalized
                    _lw_parser_last_modified_dt:
                      - name_finalized
                    _lw_parser_content_type_s:
                      - name_finalized
                    _lw_parser_container_resource_name_s:
                      - name_finalized
              schema:
                type: array
                items:
                  type: object
        '500':
          description: The datasource doesn't exist, or it isn't a v1 connector datasource.

````